pcl::gpu::TextureBinder Class Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/utils/include/pcl/gpu/utils/texture_binder.hpp>`

## Public Member Functions

template<class T , enum cudaTextureReadMode readMode>
| TextureBinder (const DeviceArray2D< T > &arr, const struct texture< T, 2, readMode > &tex)
template<class T , enum cudaTextureReadMode readMode>
| TextureBinder (const DeviceArray< T > &arr, const struct texture< T, 1, readMode > &tex)
template<class T , enum cudaTextureReadMode readMode>
| TextureBinder (const PtrStepSz< T > &arr, const struct texture< T, 2, readMode > &tex)
template<class T , enum cudaTextureReadMode readMode>
| TextureBinder (const PtrSz< T > &arr, const struct texture< T, 1, readMode > &tex)
| ~TextureBinder ()

## Detailed Description

Definition at line 47 of file texture_binder.hpp.

## Constructor & Destructor Documentation

## TextureBinder() [1/4]

template<class T , enum cudaTextureReadMode readMode>

pcl::gpu::TextureBinder::TextureBinder | ( | const DeviceArray2D< T > & | arr,
|  | const struct texture< T, 2, readMode > & | tex
| ) |  |

inline

Definition at line 51 of file texture_binder.hpp.

References pcl::gpu::DeviceArray2D< T >::cols(), pcl::gpu::DeviceArray2D< T >::ptr(), pcl::gpu::DeviceArray2D< T >::rows(), and pcl::gpu::DeviceMemory2D::step().

## TextureBinder() [2/4]

template<class T , enum cudaTextureReadMode readMode>

pcl::gpu::TextureBinder::TextureBinder | ( | const DeviceArray< T > & | arr,
|  | const struct texture< T, 1, readMode > & | tex
| ) |  |

inline

Definition at line 58 of file texture_binder.hpp.

References pcl::gpu::DeviceArray< T >::ptr(), and pcl::gpu::DeviceMemory::sizeBytes().

## TextureBinder() [3/4]

template<class T , enum cudaTextureReadMode readMode>

pcl::gpu::TextureBinder::TextureBinder | ( | const PtrStepSz< T > & | arr,
|  | const struct texture< T, 2, readMode > & | tex
| ) |  |

inline

Definition at line 65 of file texture_binder.hpp.

References pcl::gpu::PtrStepSz< T >::cols, pcl::gpu::DevPtr< T >::data, pcl::gpu::PtrStepSz< T >::rows, and pcl::gpu::PtrStep< T >::step.

## TextureBinder() [4/4]

template<class T , enum cudaTextureReadMode readMode>

pcl::gpu::TextureBinder::TextureBinder | ( | const PtrSz< T > & | arr,
|  | const struct texture< T, 1, readMode > & | tex
| ) |  |

inline

Definition at line 72 of file texture_binder.hpp.

References pcl::gpu::DevPtr< T >::data, pcl::gpu::DevPtr< T >::elemSize(), and pcl::gpu::PtrSz< T >::size.

## ~TextureBinder()

pcl::gpu::TextureBinder::~TextureBinder | ( |  | ) |

inline

Definition at line 78 of file texture_binder.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/utils/include/pcl/gpu/utils/texture_binder.hpp